<?php

namespace InPost\Shipping\Configuration;

class GeoWidgetConfiguration extends AbstractConfiguration
{
    const TOKEN = 'INPOST_SHIPPING_GEOWIDGET_TOKEN';
    const SANDBOX_TOKEN = 'INPOST_SHIPPING_GEOWIDGET_SANDBOX_TOKEN';
    const FO_USE_SANDBOX = 'INPOST_SHIPPING_GEOWIDGET_FO_USE_SANDBOX';

    public function getProductionToken()
    {
        return (string) $this->get(self::TOKEN);
    }

    public function setProductionToken($token)
    {
        return $this->set(self::TOKEN, $token);
    }

    public function getSandboxToken()
    {
        return (string) $this->get(self::SANDBOX_TOKEN);
    }

    public function setSandboxToken($token)
    {
        return $this->set(self::SANDBOX_TOKEN, $token);
    }

    public function shouldUseSandboxOnTheFrontOffice()
    {
        return (bool) $this->get(self::FO_USE_SANDBOX);
    }

    public function setUseSandboxOnTheFrontOffice($useSandbox)
    {
        return $this->set(self::FO_USE_SANDBOX, (bool) $useSandbox);
    }
}
