<?php
/**
 * Copyright 2021-2022 InPost S.A.
 *
 * NOTICE OF LICENSE
 *
 * Licensed under the EUPL-1.2 or later.
 * You may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at:
 * https://joinup.ec.europa.eu/software/page/eupl
 * It is also bundled with this package in the file LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Licence is distributed on an AS IS basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions
 * and limitations under the Licence.
 *
 * @author    InPost S.A.
 * @copyright 2021-2022 InPost S.A.
 * @license   https://joinup.ec.europa.eu/software/page/eupl
 */

namespace InPost\Shipping\Configuration;

class ShopConfiguration extends AbstractConfiguration
{
    const PS_VERSION = 'INPOST_SHIPPING_PS_VERSION';
    const PRICE_DISPLAY_PRECISION = 'PS_PRICE_DISPLAY_PRECISION';

    public function getPrestashopVersion()
    {
        return $this->get(self::PS_VERSION);
    }

    public function updatePrestashopVersion()
    {
        return $this->set(self::PS_VERSION, _PS_VERSION_);
    }

    public function getPriceDisplayPrecision()
    {
        return (int) $this->get(self::PRICE_DISPLAY_PRECISION);
    }

    public function setDefaults()
    {
        return $this->updatePrestashopVersion();
    }
}
